%global momorel 5

%define __os_install_post %{nil}

Summary: The Neko Programming Language
Name: neko
Version: 1.6.0
Release: %{momorel}m%{?dist}
License: LGPL
Group: Development/Languages
Source0: %{name}-%{version}.tar.gz
Patch0: neko-1.6.0-add-library-path.patch
URL: http://nekovm.org/
BuildRequires: ocaml >= 3.10.2
BuildRequires: gc-devel
BuildRequires: httpd-devel >= 2.2.4
BuildRequires: mysql-devel
BuildRequires: pcre-devel
BuildRequires: zlib-devel
BuildRequires: sqlite-devel >= 3.4.0
BuildRequires: libX11-devel libXau-devel libXcursor-devel libXdmcp-devel
BuildRequires: libXext-devel libXfixes-devel libXft-devel libXi-devel
BuildRequires: libXinerama-devel libXrandr-devel libXrender-devel libxcb-devel
BuildRequires: fontconfig-devel freetype-devel glib2-devel gtk2-devel
BuildRequires: atk-devel cairo-devel pango-devel expat-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Neko is a high-level dynamically typed programming language which can
also be used as an embedded scripting language. 
It has been designed to provide a common runtime for several different
languages. Neko is not only very easy to learn and use, but also has
the flexibility of being able to extend the language with C libraries.
You can even write generators from your own language to Neko and then
use the Neko Runtime to compile, run, and access existing libraries.

If you need to add a scripting language to your application, Neko
provides one of the best tradeoffs available between simplicity,
extensibility and speed.

Neko allows the language designer to focus on design whilst reusing a
fast and well constructed runtime, as well as existing libraries for
accessing filesystem, network, databases, xml... 

%prep
%setup -q 
%patch0 -p1 -b .library-path

%build
%__make INSTALL_PREFIX=%{_prefix}

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%__mkdir_p %{buildroot}%{_bindir}
%__mkdir_p %{buildroot}%{_libdir}
%__mkdir_p %{buildroot}%{_includedir}
%__install -m 755 bin/neko* %{buildroot}%{_bindir}
%__install -m 644 bin/test.n %{buildroot}%{_bindir}
%__install -m 755 bin/libneko.so %{buildroot}%{_libdir}
%__install -m 755 bin/*.ndll %{buildroot}%{_libdir}
%__install -m 644 vm/neko.h %{buildroot}%{_includedir}
%__install -m 644 vm/neko_mod.h %{buildroot}%{_includedir}
%__install -m 644 vm/neko_vm.h %{buildroot}%{_includedir}

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES LICENSE
%{_bindir}/*
%{_includedir}/*
%{_libdir}/lib*
%{_libdir}/*.ndll

%changelog
* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.6.0-5m)
- rebuild against gcc43

* Sun Mar  2 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.6.0-4m)
- rebuild against ocaml-3.10.2

* Sun Sep 23 2007 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.6.0-3m)
- revised spec for debuginfo

* Mon Aug 13 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.6.0-2m)
- update Patch0: neko-1.6.0-add-library-path.patch
-- enable x86_64
- add some BuildRequires

* Sun Aug  5 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.6.0-1m)
- import to Momonga from <http://shield.jp/~dseg/rpms/neko/neko.spec>
- no strip

* Sat Feb 24 2007 Daichi Shinozaki <dseg@shield.jp>
- New upstream.

* Thu Nov 23 2006 Daichi Shinozaki <dseg@shield.jp>
- Initial release.
